#include "mbed.h"
//LED Tower Strobe Light Effect
//
BusOut myleds(LED1, LED2, LED3, LED4);
//groups 4 built-in LEDs digital outputs together
//on mbed LPC1768 - change pins for other platforms
int main()
{
    while(1) {
        int j=1; //one LED on at start of loop
        for(int i=1; i<16; i++) {
            //sends out digital values for all LEDs (0 or 1)
            myleds = j;
            //binary shift the 1-bit (1=LED on) left by one
            j = j<<1;
            //use wait to add a time delay close to a real tower light
            wait(0.093);
        }
    }
}

